Skip to main content
PUT
/
{team_id}
/
epics
/
{epic_id}
/
content
Overwrite epic content
curl --request PUT \
  --url https://api.superthread.com/v1/{team_id}/epics/{epic_id}/content \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "content": "<string>",
  "content_format": "html"
}
'
{
  "error": {
    "id": "err5f744ab",
    "code": 403,
    "sec": "SEC:000-010011",
    "message": "You do not have access to this resource",
    "date": 1608742037016
  }
}

Documentation Index

Fetch the complete documentation index at: https://superthread.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

epic_id
string
required

Epic ID is a numerical string that identifies an Epic. This is externally referred to as a "Project".

Body

application/json

new epic content

content
string
required

The content to set on the card

Maximum string length: 102400
content_format
enum<string>
default:html

Format of the content field. When set to 'markdown', the server converts the content from GitHub Flavored Markdown to HTML before storage. Defaults to 'html'.

Available options:
html,
markdown

Response

epic content successfully updated